<?php
/*
Plugin Name: Aspire Collection
Plugin URI: aspire-collection
Description: The Aspire Collection for Genesis Blocks
Version: 1.0.1
Author: Appfinite
Author URI: https://appfinite.com
License: GPLv3
License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/

function aspire_collection() {
	// Ensure a proper version of Genesis Blocks is active before continuing.
	if ( ! function_exists( 'genesis_blocks_register_layout_component' ) ) {
		return;
	}
	// Register the aspire Home Layout
	genesis_blocks_register_layout_component(
		[
			'type'       => 'layout',
			'key'        => 'aspire_home',
			'name'       => 'Aspire Home Page',
			'content'    =>  require 'layouts/home.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Home',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/aspire_layout_thumbnail_home.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
                'thumbnail'      => plugin_dir_url(__FILE__) . 'assets/aspire_section_thumbnail_home.png',
            ],
		]
	);
	// Register the aspire Hero Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_hero',
			'name'       => 'aspire Hero',
			'content'    =>  require 'sections/hero.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Hero',
				'Photo',
				'Header',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/hero.png',
            'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Call to Action Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_call_to_action',
			'name'       => 'aspire Call To Action',
			'content'    =>  require 'sections/call-to-action.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'call to action',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/call-to-action.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire 3 Columns Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_3_columns',
			'name'       => 'aspire 3 Columns',
			'content'    =>  require 'sections/3-columns.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'3 Columns',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/3-columns.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire About Me Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_about_me',
			'name'       => 'aspire About Me',
			'content'    =>  require 'sections/about-me.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'about me',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/about-me.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Info Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_info',
			'name'       => 'aspire Info',
			'content'    =>  require 'sections/info.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'info',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/info.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Features Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_features',
			'name'       => 'aspire Features',
			'content'    =>  require 'sections/features.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'features',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/features.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Testimonial Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_testimonial',
			'name'       => 'aspire Testimonial',
			'content'    =>  require 'sections/testimonial.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Testimonials',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/testimonial.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Team Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_team',
			'name'       => 'aspire Team',
			'content'    =>  require 'sections/team.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Team',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/team.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Themes Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_themes',
			'name'       => 'aspire Themes',
			'content'    =>  require 'sections/themes.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Themes',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/themes.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Features 2 Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_features_2',
			'name'       => 'aspire Features 2',
			'content'    =>  require 'sections/features-2.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'features',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/features-2.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Pricing Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_pricing',
			'name'       => 'aspire Pricing',
			'content'    =>  require 'sections/pricing.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'pricing',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/pricing.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Testimonials Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_testimonials',
			'name'       => 'aspire Testimonials',
			'content'    =>  require 'sections/testimonials.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Testimonials',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/testimonials.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
	// Register the aspire Blog Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_blog',
			'name'       => 'aspire Blog',
			'content'    =>  require 'sections/blog.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'blog',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/blog.png',
			'collection' => [
								'slug'  => 'aspire',
								'label' => 'Aspire Collection',
						],
		]
	);
	// Register the aspire Call To Action 2 Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'aspire_call_to_action_2',
			'name'       => 'aspire Call To Action 2',
			'content'    =>  require 'sections/call-to-action-2.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'CTA',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/call-to-action-2.png',
			'collection' => [
                'slug'  => 'aspire',
                'label' => 'Aspire Collection',
            ],
		]
	);
}
add_action( 'plugins_loaded', 'aspire_collection', 12 );
